/*
  (c) 1990 S.Hawtin.
  Permission is granted to copy this file provided
   1) It is not used for commercial gain
   2) This notice is included in all copies
   3) Altered copies are marked as such

  No liability is accepted for the contents of the file.

    requester.h	within		NorthC render
*/

/* Define the data structures for the CRender requester, 

  I know that include files should not define data structures but this
makes "aif.c" that much cleaner
*/

SHORT int_border_points[]=
   {
     -7, -4, /* Move(-7,-4)  */
     57, -4, /* Draw(200,-4) */
     57, 11, /* Draw(200,11) */
     -7, 11, /* Draw(-7,11)  */
     -7, -4  /* Draw(-7,-4)  */ 
    };

struct Border int_border=
   {
    0, 0,1,0,JAM1,5,int_border_points,NULL,
    };

struct IntuiText int1_text=
   {
    1,         /* FrontPen */
    0,         /* BackPen */
    JAM1,      /* DrawMode */
    -40, 0,    /* LeftEdge */
    NULL,      /* ITextFont */
    "dth:",    /* IText */
    NULL,      /* NextText */
    };

UBYTE int1_buffer[6];
UBYTE int1_undo_buffer[6];

struct StringInfo int1_info=
   {
    int1_buffer,int1_undo_buffer,0,5,0
    };

struct Gadget int1_gadget=
   {
    NULL,          /* NextGadget */
    54,            /* LeftEdge */
    26,            /* TopEdge */
    50,           /* Width */
    8,             /* Height */
    GADGHCOMP,     /* Flags */
    GADGIMMEDIATE|RELVERIFY|LONGINT, /* Activation */
    STRGADGET|REQGADGET,     /* GadgetType */
    (APTR) &int_border, /* GadgetRender */
    NULL,          /* SelectRender */
    &int1_text,  /* GadgetText */
    NULL,          /* MutualExclude */
    (APTR) &int1_info, /* SpecialInfo */
    0,             /* GadgetID */
    NULL           /* UserData */
    };

struct IntuiText int2_text=
   {
    1,0,JAM1,-40,0,NULL,"dph:",NULL
    };

UBYTE int2_buffer[6];
UBYTE int2_undo_buffer[6];

struct StringInfo int2_info=
   {
    int2_buffer,       /* Buffer */
    int2_undo_buffer,  /* UndoBuffer */
    0,                 /* BufferPos */
    5,                 /* MaxChars */
    0,                 /* DispPos */
    };


struct Gadget int2_gadget=
   {
    &int1_gadget,	/* NextGadget */
    154,		/* LeftEdge */
    26,			/* TopEdge */
    50,			/* Width */
    8,			/* Height */
    GADGHCOMP,		/* Flags */
    GADGIMMEDIATE|	/* Activation */
    RELVERIFY|LONGINT,
    STRGADGET|		/* GadgetType */
    REQGADGET,
    (APTR) &int_border, /* GadgetRender */
    NULL,		/* SelectRender */
    &int2_text,		/* GadgetText */
    NULL,		/* MutualExclude */
    (APTR) &int2_info,
    0,			/* GadgetID */
    NULL		/* UserData */
    };

SHORT ok_border_points[] =
   {
     0,  0, /* Move(0,0) */
    22,  0, /* Draw(22,0) */
    22, 10, /* Draw(22,10) */
     0, 10, /* Draw(0,10) */
     0,  0  /* Draw(0,0) */ 
    };

struct Border ok_border =
   {
    0, 0,        /* LeftEdge */
    1,           /* FrontPen */
    0,           /* BackPen */
    JAM1,        /* DrawMode */
    5,           /* Count */
    ok_border_points, /* XY */
    NULL,        /* NextBorder */
    };

struct IntuiText ok_text =
   {
    1,      /* FrontPen */
    0,      /* BackPen */
    JAM1,   /* DrawMode */
    4, 2,   /* LeftEdge, TopEdge. */
    NULL,   /* ITextFont */
    "OK",   /* IText */
    NULL,   /* NextText */
    };

struct Gadget ok_gadget =
   {
    &int2_gadget, /* NextGadget */
    14,            /* LeftEdge */
    47,            /* TopEdge */
    23,            /* Width */
    11,            /* Height */
    GADGHCOMP,     /* Flags */
    GADGIMMEDIATE|RELVERIFY|ENDGADGET,  /* Activation */
    BOOLGADGET|REQGADGET,    /* GadgetType */
    (APTR) &ok_border, /* GadgetRender */
    NULL,          /* SelectRender */
    &ok_text,      /* GadgetText */
    NULL,          /* MutualExclude */
    NULL,          /* SpecialInfo */
    0,             /* GadgetID */
    NULL           /* UserData */
    };

SHORT requester_border_points[] =
   {
      0,  0,
    218,  0,
    218, 64,
      0, 64,
      0,  0 
    };

struct Border requester_border =
   {
    0, 0,        /* LeftEdge, TopEdge. */
    1,           /* FrontPen */
    0,           /* BackPen */
    JAM1,        /* DrawMode */
    5,           /* Count */
    requester_border_points, /* XY */
    NULL,        /* NextBorder */
    };

struct IntuiText requester_text =
   {
    1,         /* FrontPen */
    0,         /* BackPen */
    JAM1,      /* DrawMode */
    14, 8,     /* LeftEdge, TopEdge. */
    NULL,      /* ITextFont */
    "Set rotation speed:", /* IText */
    NULL,      /* NextText */
    };

struct Requester my_requester =
   {
    NULL,              /* OlderRequester */
    5, 20,             /* LeftEdge, TopEdge */
    219, 65,           /* Width, Height */
    0, 0,              /* RelLeft, RelTop */
    &ok_gadget,        /* ReqGadget */
    &requester_border, /* ReqBorder */
    &requester_text,   /* ReqText */
    NULL,              /* Flags */
    2,                 /* BackFill */
    };



